Index: flashrom-tegra2/arch.h
===================================================================
--- flashrom-tegra2.orig/arch.h
+++ flashrom-tegra2/arch.h
@@ -27,5 +27,7 @@
 #define __FLASHROM_ARCH__ "mips"
 #elif defined(__powerpc__) || defined(__powerpc64__) || defined(__ppc__) || defined(__ppc64__)
 #define __FLASHROM_ARCH__ "ppc"
+#elif defined(__arm__)
+#define __FLASHROM_ARCH__ "arm"
 #endif
 __FLASHROM_ARCH__
Index: flashrom-tegra2/hwaccess.c
===================================================================
--- flashrom-tegra2.orig/hwaccess.c
+++ flashrom-tegra2/hwaccess.c
@@ -116,6 +116,20 @@ void release_io_perms(void)
 {
 }
 
+#elif defined (__arm__)
+
+static inline void sync_primitive(void)
+{
+}
+
+void get_io_perms(void)
+{
+}
+
+void release_io_perms(void)
+{
+}
+
 #else
 
 #error Unknown architecture
Index: flashrom-tegra2/hwaccess.h
===================================================================
--- flashrom-tegra2.orig/hwaccess.h
+++ flashrom-tegra2/hwaccess.h
@@ -326,6 +326,10 @@ int libpayload_wrmsr(int addr, msr_t msr
 
 /* PCI port I/O is not yet implemented on MIPS. */
 
+#elif defined(__arm__)
+
+/* Non memory mapped I/O is not supported on ARM. */
+
 #else
 
 #error Unknown architecture, please check if it supports PCI port IO.
